# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Resource types

* [`dsc_iscsiinitiator`](#dsc_iscsiinitiator): The DSC iSCSIInitiator resource type. Automatically generated from version 2.0.0
* [`dsc_iscsiservertarget`](#dsc_iscsiservertarget): The DSC iSCSIServerTarget resource type. Automatically generated from version 2.0.0
* [`dsc_iscsivirtualdisk`](#dsc_iscsivirtualdisk): The DSC iSCSIVirtualDisk resource type. Automatically generated from version 2.0.0

## Resource types

### `dsc_iscsiinitiator`

The DSC iSCSIInitiator resource type.
Automatically generated from version 2.0.0

#### Properties

The following properties are available in the `dsc_iscsiinitiator` type.

##### `dsc_authenticationtype`

Data type: `Optional[Enum['None', 'OneWayCHAP', 'MutualCHAP']]`

Specifies the type of authentication to use when logging into the target.

##### `dsc_chapsecret`

Data type: `Optional[String]`

Specifies the CHAP secret to use when establishing a connection authenticated by using CHAP.

##### `dsc_chapusername`

Data type: `Optional[String]`

Specifies the user name to use when establishing a connection authenticated by using Mutual CHAP.

##### `dsc_connectionidentifier`

Data type: `Optional[String]`

This is the current connection identifier for this target connection.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Ensures that Target is Absent or Present.

##### `dsc_initiatorinstancename`

Data type: `Optional[String]`

The name of the initiator instance that the iSCSI initiator service uses to send SendTargets requests to the target portal.

##### `dsc_initiatornodeaddress`

Data type: `Optional[String]`

The Initiator Node address assigned to this session.

##### `dsc_initiatorportaladdress`

Data type: `Optional[String]`

Specifies the IP address associated with the target portal.

##### `dsc_isconnected`

Data type: `Optional[Boolean]`

Is the target connected to the server.

##### `dsc_isdatadigest`

Data type: `Optional[Boolean]`

Enables data digest when the initiator logs into the target portal.

##### `dsc_isdiscovered`

Data type: `Optional[Boolean]`

Is the target discovered in this session.

##### `dsc_isheaderdigest`

Data type: `Optional[Boolean]`

Enables header digest when the initiator logs into the target portal. By not specifying this parameter, the digest setting is determined by the initiator kernel mode driver.

##### `dsc_ismultipathenabled`

Data type: `Optional[Boolean]`

Indicates that the initiator has enabled Multipath I/O (MPIO) and it will be used when logging into the target portal.

##### `dsc_isnsserver`

Data type: `Optional[String]`

Specifies the name of an iSNS Server to register this Initiator with.

##### `dsc_ispersistent`

Data type: `Optional[Boolean]`

Specifies that the session is to be automatically connected after each restart.

##### `dsc_reporttopnp`

Data type: `Optional[Boolean]`

Specifies that the operation is reported to PNP.

##### `dsc_sessionidentifier`

Data type: `Optional[String]`

This is the current session identifier for this target session.

##### `dsc_targetnodeaddress`

Data type: `Optional[String]`

The Target Node address assigned to this session.

##### `dsc_targetportaladdress`

Data type: `String`

Specifies the IP address or DNS name of the target portal.

##### `dsc_targetportalportnumber`

Data type: `Optional[Integer[0, 65535]]`

Specifies the TCP/IP port number for the target portal.

#### Parameters

The following parameters are available in the `dsc_iscsiinitiator` type.

##### `dsc_nodeaddress`

namevar

Data type: `String`

Represents the IQN of the discovered target.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_iscsiservertarget`

The DSC iSCSIServerTarget resource type.
Automatically generated from version 2.0.0

#### Properties

The following properties are available in the `dsc_iscsiservertarget` type.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Ensures that Server Target is either Absent or Present.

##### `dsc_initiatorids`

Data type: `Array[String]`

Specifies the iSCSI initiator identifiers (IDs) to which the iSCSI target is assigned.

##### `dsc_isnsserver`

Data type: `Optional[String]`

Specifies the name of an iSNS Server to register this Server Target with.

##### `dsc_paths`

Data type: `Array[String]`

Specifies the path of the virtual hard disk (VHD) files that are associated with the Server Target.

#### Parameters

The following parameters are available in the `dsc_iscsiservertarget` type.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `dsc_targetname`

namevar

Data type: `String`

Specifies the name of the iSCSI target.

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

### `dsc_iscsivirtualdisk`

The DSC iSCSIVirtualDisk resource type.
Automatically generated from version 2.0.0

#### Properties

The following properties are available in the `dsc_iscsivirtualdisk` type.

##### `dsc_blocksizebytes`

Data type: `Optional[Integer[0, 4294967295]]`

Specifies the block size, in bytes, for the VHDX.

##### `dsc_description`

Data type: `Optional[String]`

Specifies the description for the iSCSI virtual disk.

##### `dsc_disktype`

Data type: `Optional[Enum['Dynamic', 'Fixed', 'Differencing']]`

Specifies the type of the VHDX.

##### `dsc_ensure`

Data type: `Optional[Enum['Present', 'Absent']]`

Ensures that Virtual Disk is either Absent or Present.

##### `dsc_logicalsectorsizebytes`

Data type: `Optional[Enum['512', '4096']]`

Specifies the logical sector size, in bytes, for the VHDX.

##### `dsc_parentpath`

Data type: `Optional[String]`

Specifies the parent virtual disk path if the VHDX is a differencing disk.

##### `dsc_physicalsectorsizebytes`

Data type: `Optional[Enum['512', '4096']]`

Specifies the physical sector size, in bytes, for the VHDX.

##### `dsc_sizebytes`

Data type: `Optional[Integer[0, 18446744073709551615]]`

Specifies the size, in bytes, of the iSCSI virtual disk.

#### Parameters

The following parameters are available in the `dsc_iscsivirtualdisk` type.

##### `dsc_path`

namevar

Data type: `String`

Specifies the path of the VHDX file that is associated with the iSCSI virtual disk.

##### `dsc_psdscrunascredential`

Data type: `Optional[Struct[{ user => String[1], password => Sensitive[String[1]] }]]`

 

##### `name`

namevar

Data type: `String`

Description of the purpose for this resource declaration.

